#ifndef MCP3204_H
#define MCP3204_H

#include <stdint.h>

#define MCP3204_RESOLUTION_BITS	12 /* MCP3204の分解能(bit) */

#define MCP3204_CH_MIN 0 /* MCP3204で指定できるアナログ入力チャンネルの最小値 */
#define MCP3204_CH_MAX 3 /* MCP3204で指定できるアナログ入力チャンネルの最大値 */

struct mcp3204;

struct mcp3204 *mcp3204_open(const char *dev_path);
int mcp3204_read(struct mcp3204 *adc, int ch, uint16_t *digit);
int mcp3204_close(struct mcp3204 *adc);

#endif /* MCP3204_H */
